/*
 *  KnockOutGame.h
 *  ToyCars
 *
 *  Created by Ruben Zilibowitz on 17/12/05.
 *  Copyright 2005 Ruben Zilibowitz. All rights reserved.
 *
 */

#ifndef KNOCKOUTGAME_H
#define KNOCKOUTGAME_H

#include "CarGame.h"

class KnockOutGame : public CarGame
{
public:
            KnockOutGame(ScTilemap* inTilemap, Player** inPlayers, int inNumPlayers, Tuple inStartLineA, Tuple inStartLineB, const list<Tuple> *inPathPolygon);
    virtual ~KnockOutGame();
    
    virtual void    step(double dt);
	virtual void	addView(ScPortRect& portRect, int playerFollow);
//	double pathDistance(Player *player, list<Tuple> &pathPolygon, Tuple *outClosestPoint = NULL, Tuple *outPathDirection = NULL);
    
protected:
    int     *scores;
	list<Player*>	allPlayersList;
    
	virtual void	drawViews();
    void restartFromWinner(Player *winner);
};

#endif
