/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  Created by Ruben Zilibowitz on 5/08/05.
 */

#ifndef ROBOTPLAYER_H
#define ROBOTPLAYER_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "Player.h"

class RobotPlayer : public Player
{
public:
			RobotPlayer(ToyCar& inCar, list<Tuple> *path, int inPlayerNumber);
	virtual ~RobotPlayer() {}
	
	virtual void	doEvent(PlayerEvent* event)	{}
	virtual void	integrateKeys(double dt);
	
protected:
	double stuckTime;
};

#endif // ROBOTPLAYER_H
