/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  ScComponent.h
 *  Scoobie
 *
 *  Created by Ruben Zilibowitz on 25/11/04.
 *
 */

#ifndef SCCOMPONENT_H
#define SCCOMPONENT_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ScTypes.h"

class ScComponent
{
public:
			ScComponent() {}
	virtual	~ScComponent() {}
    
	virtual void draw() {}
	virtual void process(ScFloat dt) {}
};

#endif
