/*
	Copyright (C) 2005 by Ruben Zilibowitz <rzilibowitz@users.sourceforge.net>
	Part of the Toy Cars Project http://toycars.sourceforge.net

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

/*
 *  Created by Ruben Zilibowitz on 19/04/05.
 */

#ifndef STARTLINE_H
#define STARTLINE_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ScPanel.h"
#include "Tuple.h"

class Startline : public ScPanel
{
public:
	Startline(Tuple p1, Tuple p2, double width = 20.0);
	~Startline();
	
	void doDraw();
	
protected:
	Tuple pA, pB, pC, pD;	// the coordinates of the quad shape around the line
	
	GLuint texID;	// the texture id of the checks
};

#endif
